// 登录
export const login = {
	url: '/user/without/login',
	dealReqData: ({ area, account, registerCode, verificationCode }) => {
		return { area, account, registerCode, verificationCode }
	}
}

// 获取验证码
export const sendSmsCode = {
	url: '/user/without/unSendCode',
	dealReqData: ({ area, account, type }) => {
		return { area, account, type }
	}
}
// 用户登录验证码 type 1:普通支付验证码，2：转让支付验证码 3:设置支付密码	
export const sendSmsCodeIsSign = {
	url: '/user/sendCode',
	dealReqData: ({ area, account, type }) => {
		return { area, account, type }
	}
}
// 获取全部省份
export const getProvinceList = {
	url: '/addr/without/getProvince'
}

// 获取城市
export const getCityList = {
	url: '/addr/without/getCity',
	dealReqData: code => {
		return { code }
	}
}

// 获取区
export const getCountyList = {
	url: '/addr/without/getCounty',
	dealReqData: code => {
		return { code }
	}
}

// 获取街道
export const getStreetList = {
	url: '/addr/without/getStreet',
	dealReqData: code => {
		return { code }
	}
}

// 用户账号是否注册
export const checkAccount = {
	url: '/user/without/isRegister',
	dealReqData: phone => {
		return {phone}
	}
}

// 获取版本信息
export const getSysVersion = {
	url: '/system/version/without/getSysVersion',
	requireAuth: false,
	method: 'get'
}
